Bug 1749253 - perl-Test-Unit-0.25-34.fc32 FTBFS: not ok ERROR test_numericness
Summary: perl-Test-Unit-0.25-34.fc32 FTBFS: not ok ERROR test_numericness
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Test-Unit
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-05 08:40 UTC by Petr Pisar
Modified: 2019-09-27 01:28 UTC (History)
2 users (show)

Fixed In Version: perl-Test-Unit-0.25-35.fc32 perl-Test-Unit-0.25-35.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-27 01:28:52 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
CPAN 129738 0 None None None 2019-09-05 08:40:35 UTC
Red Hat Bugzilla 1716422 0 unspecified CLOSED perl-Test-Unit-0.25-32.fc31 FTBFS with perl 5.30: test_numericness test fails on 0xF00 2021-02-22 00:41:40 UTC

Description Petr Pisar 2019-09-05 08:40:35 UTC
perl-Test-Unit-0.25-34.fc32 fails to build in F32 because a test fails:

$ perl -Ilib t/assert.t 
STARTING TEST RUN
1..40
[...]
ok PASS test_assert_does_not_match

not ok ERROR test_numericness
t/tlib/AssertTest.pm:48 - test_numericness(Class::Inner::__A36)
For string '0xF00', expect t but got f
ok PASS test_assert_equals

This is triggered by upgrading perl-libs from 4:5.30.0-444.fc32 to 4:5.30.0-445.fc32.

Perl 5.30 started to misinterpreted strings with "0x" prefix as hexadecimal numbers. I adjusted perl-Test-Unit (bug #1716422). Later Perl authors discovered it is a bug and reverted the change in 5.31.4 with a desire to port it back to 5.30 (RT#134230). I did it in Fedora and as a result, perl-Test-Unit fails again.

I will adjust the tests again.

Comment 1 Petr Pisar 2019-09-05 09:20:13 UTC
I will apply it to F31 after stabilizing the patched perl there.

Comment 2 Fedora Update System 2019-09-18 08:30:35 UTC
FEDORA-2019-2b22dbe932 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2b22dbe932

Comment 3 Fedora Update System 2019-09-19 02:30:03 UTC
perl-Test-Unit-0.25-35.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2b22dbe932

Comment 4 Fedora Update System 2019-09-27 01:28:52 UTC
perl-Test-Unit-0.25-35.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.